Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.support
Class StaticMethodMatcherPointcut

    java.lang.Object
      org.springframework.aop.support.StaticMethodMatcher
          org.springframework.aop.support.StaticMethodMatcherPointcut

All Implemented Interfaces:
  MethodMatcher, Pointcut

Direct Known Subclasses:
  AbstractRegexpMethodPointcut, NameMatchMethodPointcut, StaticMethodMatcherPointcutAdvisor

    public abstract class StaticMethodMatcherPointcut

extends StaticMethodMatcher
implements Pointcut

Convenient superclass when we want to force subclasses to implement the MethodMatcher interface, but subclasses will want to be pointcuts.

The "classFilter" property can be set to customize ClassFilter behavior. The default is `ClassFilter.TRUE`.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `setClassFilter(org.springframework.aop.ClassFilter)`, `ClassFilter.TRUE`

Field Summary

Fields inherited from interface org.springframework.aop.Pointcut
`TRUE`

Fields inherited from interface org.springframework.aop.MethodMatcher
`TRUE`

Constructor Summary
`StaticMethodMatcherPointcut()`

Method Summary
`ClassFilter` | `getClassFilter()` Return the ClassFilter for this pointcut.
`MethodMatcher` | `getMethodMatcher()` Return the MethodMatcher for this pointcut.
`void` | `setClassFilter(ClassFilter classFilter)` Set the `ClassFilter` to use for this pointcut.

Methods inherited from class org.springframework.aop.support.StaticMethodMatcher
`isRuntime, matches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.aop.MethodMatcher
`matches`

Constructor Detail

### StaticMethodMatcherPointcut

    public StaticMethodMatcherPointcut()

Method Detail

### setClassFilter

    public void setClassFilter(ClassFilter classFilter)

  Set the `ClassFilter` to use for this pointcut. Default is `ClassFilter.TRUE`.

### getClassFilter

    public ClassFilter getClassFilter()

  Description copied from interface: `Pointcut`
  Return the ClassFilter for this pointcut.

  Specified by:
    `getClassFilter` in interface `Pointcut`
  Returns:
    the ClassFilter (never `null`)

### getMethodMatcher

    public final MethodMatcher getMethodMatcher()

  Description copied from interface: `Pointcut`
  Return the MethodMatcher for this pointcut.

  Specified by:
    `getMethodMatcher` in interface `Pointcut`
  Returns:
    the MethodMatcher (never `null`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.